<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Usar estilos en geojson</title>
    <!-- Leaflet -->
    <link rel="stylesheet" href="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.css" />

    <!-- Leaflet -->
    <script src="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.js"></script>
</head>

<body>
    <div id="map" style="width: 700px; height: 600px"></div>
    <script>
        var map = L.map('map', {
            center: [40.965, -5.664],
            zoom: 16
        });
        L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png').addTo(map);

        // function styleFunction(feature) {
        //     console.log(feature.properties.name);
        //     switch (feature.properties.name) {
        //         case 'Mi Poligono':
        //             return {
        //                 color: "red"
        //             };
        //         case 'Mi Linea':
        //             return {
        //                 color: "purple"
        //             };
        //     }
        // }

        var geojson = [{
            "type": "Feature",
            "geometry": {
                "type": "Polygon",
                "coordinates": [
                    [
                        [-5.6659, 40.9641],
                        [-5.6664, 40.9669],
                        [-5.6616, 40.9660],
                        [-5.6611, 40.9637],
                        [-5.6659, 40.9641]
                    ],
                ]
            },
            "properties": {
                "name": "Mi Poligono",
                "tittle": "Plaza mayor"
            }
        }, {
            "type": "Feature",
            "geometry": {
                "type": "LineString",
                "coordinates": [
                    [-5.6640, 40.9650],
                    [-5.66476, 40.96452],
                    [-5.66466, 40.96399],
                    [-5.66662, 40.9612]
                ]
            },
            "properties": {
                "name": "Mi linea",
                "tittle": "Calle La Rua"
            }
        }];

        function styleFunction() {
            return {
                color: "purple"
            };
        }

        function newStyle() {
            geoJsonLayer.setStyle({
                color: "green"
            });
        }

        var geoJsonLayer = L.geoJson(geojson, {
            style: styleFunction
        }).addTo(map);

        geoJsonLayer.on('mouseover', newStyle);
        geoJsonLayer.on('mouseout', function(e) {
          console.log(e.target);
            geoJsonLayer.resetStyle(e.target);
        });
    </script>
</body>

</html>
